For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList duet voices
      • POSTCreate custom duet voice
      • PUTUpdate duet voice
      • DELDelete duet voice
      • GETList duet voice pairs
      • POSTCreate duet voice pair
      • POSTGenerate duet
Status
LogoLogo
API ReferenceDuets

Create custom duet voice

POST
https://app.resemble.ai/api/v2/duet_voices
POST
/api/v2/duet_voices
$curl -X POST https://app.resemble.ai/api/v2/duet_voices \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F name="string" \
> -F audio=@string
200Successful
1{
2 "success": true,
3 "item": {}
4}
Create a custom voice for duet generation
Was this page helpful?
Previous

Update duet voice

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects a multipart form containing a file.
namestringRequired
Voice name
style_promptstringOptional
Optional style prompt
audiofileRequired

Audio file (MP3/WAV/M4A/OGG/AAC/FLAC max 10 MB)

Response

Duet voice created
successboolean
itemobject